<?php
/*
* 2007-2014 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2014 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
*  @Modi by EAGLEMEDIA.de
*/

require_once(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');
include_once(dirname(__FILE__).'/sendtoafriendpro.php');

$module = new SendToAFriendPro();

if (Tools::getValue('action') == 'sendToAFriendPro' && Tools::getValue('secure_key') == $module->secure_key)
{
		// Retrocompatibilty with old theme
		if($friend = Tools::getValue('friend'))
		{
			$friend = Tools::jsonDecode($friend, true);

			foreach ($friend as $key => $value)
			{
				if ($value['key'] == 'friend_name')
					$friendName = $value['value'];
				elseif ($value['key'] == 'friend_email')
					$friendMail = $value['value'];
				elseif ($value['key'] == 'id_product')
					$id_product = $value['value'];
			}
		}
		else
		{
			$friendName = Tools::getValue('name');
			$friendMail = Tools::getValue('email');
			$id_product = Tools::getValue('id_product');
		}

		if (!$friendName || !$friendMail || !$id_product)
			die('0a');
        
		#
		#
		#		
        
        $checkPattern = explode(',', rtrim(Configuration::get('STF_PREVENT_BLOCK_1'), ', ') );
		
		foreach ($checkPattern as $pattern)
		    if (strpos($friendMail, $pattern) !== false)
			    die('0b');
				
		#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~			

		$checkIpAddresses = explode(',', rtrim(Configuration::get('STF_PREVENT_BLOCK_2'), ', ') );
		
		foreach ($checkIpAddresses as $ipAddress)
		    if ($_SERVER['HTTP_HOST'] == $ipAddress)
			    die('0c');
				
		#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
			
		$checkIdProducts = explode(',', rtrim(Configuration::get('STF_PREVENT_BLOCK_3'), ', ') );
		
		foreach ($checkIdProducts as $idProduct)
		    if ($id_product == $idProduct)
			    die('0d');		
				
        #
		#
		#
			
		/* Email generation */
		$product = new Product((int)$id_product, false, $module->context->language->id);
		$productName = str_replace('*', '&#9733;', $product->name);
		$productLink = $module->context->link->getProductLink($product);
		$customer = $module->context->cookie->customer_firstname ? $module->context->cookie->customer_firstname.' '.$module->context->cookie->customer_lastname : $module->l('A friend', 'sendtoafriendpro_ajax');

		$templateVars = array(
			'{product}' => $productName,			
			'{product_link}' => $productLink,
			'{customer}' => $customer,
			'{name}' => Tools::safeOutput($friendName),
			'{email}' => $friendMail
		);

		/* Email sending to Friend */
		if (!Mail::Send((int)$module->context->cookie->id_lang,
			'send_to_a_friend',
			sprintf(Mail::l('%1$s sent you a link to %2$s', (int)$module->context->cookie->id_lang), $customer, $product->name),
			$templateVars, $friendMail,
			null,
			($module->context->cookie->email ? $module->context->cookie->email : null),
			($module->context->cookie->customer_firstname ? $module->context->cookie->customer_firstname.' '.$module->context->cookie->customer_lastname : null),
			null,
			null,
			dirname(__FILE__).'/mails/'))
				die('0e');

		die('1');
}
die('2');
